[分享]让eva支持中文(不用编译)

上网、浏览、聊天、下载等
回复
头像
pjincz
帖子: 171
注册时间: 2007-02-07 10:15
送出感谢: 0
接收感谢: 9 次
联系:

[分享]让eva支持中文(不用编译)

#1

帖子 pjincz » 2007-03-01 18:10

首先声明一下哈,我也是新手,如果出现什么问题别骂我哈。

呵呵,看到论坛里两位朋友讨论kdevelop中文界面的问题学会的如何使软件支持中文。
这里首先感谢一下sunqaoyong和FFFrog朋友,:)。
去http://sourceforge.net/project/showfiles.php?group_id=127377&package_id=176099&release_id=387912下载eva0.41的源代码。(或者直接下载我附件里的eva.po文件也可以。)
解包后可以找到./eva/po/zh_CN/eva.po
$ cd eva/po/zh_CN/
$ msgfmt eva.po -o eva.mo
$ sudo cp eva.mo /usr/share/locale/zh_CN/LC_MESSAGES/
$ sudo chown root:root /usr/share/locale/zh_CN/LC_MESSAGES/eva.mo
然后重启eva就可以了。
很爽吧。
呵呵,另外打下广告,欢迎大家到
http://i.cn.yahoo.com/pjincz
参观我的小白日记,呵呵。
附件
eva.po.zip
(14.53 KiB) 下载 128 次
andrew_t
帖子: 614
注册时间: 2006-12-14 3:00
送出感谢: 0
接收感谢: 0
联系:

#2

帖子 andrew_t » 2007-03-01 18:37

我直接从cn99 的源里面安装的eva就支持中文阿
头像
pjincz
帖子: 171
注册时间: 2007-02-07 10:15
送出感谢: 0
接收感谢: 9 次
联系:

#3

帖子 pjincz » 2007-03-01 18:44

啊??555````
为什么我这么悲惨阿。。。
我用的也是cn99的源阿。。
头像
yinliang108
帖子: 964
注册时间: 2005-10-01 21:38
来自: 湖南邵东流光岭
送出感谢: 0
接收感谢: 0
联系:

楼主正解

#4

帖子 yinliang108 » 2007-03-02 21:43

按照楼主的做法,成功了,我直接下载你附件里的文件,然后按照你的命令操作,成功了。
小江恩的博客
http://gann.blog.ifeng.com/
kver
帖子: 17
注册时间: 2007-01-26 9:21
送出感谢: 0
接收感谢: 0
联系:

#5

帖子 kver » 2007-03-08 9:01

very good!
就是我每次输入汉字的时候都得选一次 “xim”才行,不知道要怎么设置
依窗吻风
帖子: 85
注册时间: 2006-04-20 12:12
送出感谢: 0
接收感谢: 0
联系:

#6

帖子 依窗吻风 » 2007-03-08 20:27

这回不用了,全都用不了了!!
头像
adqin
帖子: 1417
注册时间: 2007-01-24 22:07
来自: http://adqin.cn
送出感谢: 0
接收感谢: 0
联系:

#7

帖子 adqin » 2007-03-08 20:35

麻烦啊。
因为这样我不聊天了。
头像
pjincz
帖子: 171
注册时间: 2007-02-07 10:15
送出感谢: 0
接收感谢: 9 次
联系:

#8

帖子 pjincz » 2007-03-08 20:40

Re:kver
呵呵,好像安装个scim-qtimm就可以了。
头像
ssjjxx000
帖子: 201
注册时间: 2006-01-09 9:41
来自: 湖南邵东
送出感谢: 0
接收感谢: 0
联系:

#9

帖子 ssjjxx000 » 2007-03-12 21:47

按照楼主的做法,成功了
307WRC
帖子: 480
注册时间: 2006-12-13 22:50
送出感谢: 0
接收感谢: 0
联系:

#10

帖子 307WRC » 2007-03-28 23:54

强啊~~一个完整的汉化文件~~~
头像
hongmy525
帖子: 236
注册时间: 2007-01-26 22:06
来自: 南宁 杭州
送出感谢: 0
接收感谢: 0
联系:

#11

帖子 hongmy525 » 2007-03-30 18:13

这是篇好文章阿,解决我用英文版的问题呵呵

我的eva原来是源里安装的,一直是英文版,中文的编译不上,今天不知道为什么QQ不能上去了,也打算用MSN,但是不知道怎么申请
yangyang
帖子: 555
注册时间: 2007-03-20 12:50
送出感谢: 0
接收感谢: 0

#12

帖子 yangyang » 2007-03-31 13:07

请问下,现在源里的EVA是什么版本?是最新的0.41吗?
头像
依寻依然
帖子: 1617
注册时间: 2006-10-31 14:49
送出感谢: 0
接收感谢: 0

#13

帖子 依寻依然 » 2007-04-09 22:39

回楼上 正是!
6.10,7.04用的都是0.41
头像
密友
帖子: 64
注册时间: 2007-04-11 23:12
来自: 广东东莞虎门
送出感谢: 0
接收感谢: 0
联系:

太好了

#14

帖子 密友 » 2007-04-11 23:44

我这几天刚用的UBUNTU。可以说是一个LINUX新手。不是很明白操作的原理。但是强啊。太好了。汉化得很好。以后还各位多指教。
风之花时尚科技 http://www.huafs.com 致力于时尚与科技的完美结合
b luewings
帖子: 7
注册时间: 2007-03-29 15:03
送出感谢: 0
接收感谢: 0
联系:

这样也行

#15

帖子 b luewings » 2007-04-13 22:35

安装scim-bridge(可选)

默认的scim输入法能会与realplay等程序有冲突。建议使用scim-bridge替换scim。

* 安装scim-bridge;请确保已正确设置中文环境,打开终端,执行以下命令,或使用《新立得软件管理器》,在其中搜索“scim-bridge“并标记安装。

sudo apt-get install scim-bridge

* 编辑im-switch生成的scim配置文件

sudo gedit /etc/X11/xinit/xinput.d/zh_CN

* 将默认的 GTK_IM_MODULE=scim 修改为 GTK_IM_MODULE="scim-bridge"
* 将默认的 QT_IM_MODULE=scim 修改为 QT_IM_MODULE="xim" (不然可能无法在qt程序中输入中文),或者打开终端,执行以下命令,或使用《新立得软件管理器》,在其中搜索“install scim-qtimm“并标记安装。
o

sudo apt-get install scim-qtimm

* 或者简单的将 QT_IM_MODULE=scim 一行注释掉。
回复

回到 “因特网相关软件”